CHK_CYRUS(8)

NAME
chk_cyrus - Cyrus IMAP documentation

Perform a consistency check of the Cyrus IMAP mail spool.

SYNOPSIS

chk_cyrus [ -C config-file ] [ -P partition | -M mailbox ]

DESCRIPTION

chk_cyrus is used to perform a consistency check on the cyrus datastore, and output a list of files/directories that are expected to exist, but do not. Status messages are output to stderr, the list of files/directories is output to stdout. This list can be passed to a backup program to aid a partial restoration, for instance.

chk_cyrus reads its configuration options out of the imapd.conf(5) file unless specified otherwise by -C.

OPTIONS

-C config-file
    Use the specified configuration file config-file rather than the default imapd.conf(5).

-P partition
    Limit to partition partition. May not be specified with -M.

-M mailbox
    Only check mailbox mailbox. May not be specified with -P.

    IMPORTANT: The mailbox must be specified in the internal format, so rather than specifying user/john/Trash@example.org, you will want to specify example.org!user.john.Trash.

EXAMPLES

chk_cyrus -P default
Perform consistency checks on default partition.

chk_cyrus -C /usr/local/etc/imapd-slot1.conf -P default
Perform consistency checks on default partition using specified configuration file.

chk_cyrus -M user.marysmith
Perform consistency checks on mailbox user.marysmith.

SEE ALSO

imapd.conf(5), master(8)

AUTHOR
The Cyrus Team, Nic Bernstein (Onlight), Jeroen van Meeuwen (Kolab Systems)

COPYRIGHT
1993-2018, The Cyrus Team